RXSUBCOM(1)

NAME
rxsubcom - Open Object Rexx Subcommand Administrator

SYNTAX
rxsubcom REGISTER environment sharedLibrary function rxsubcom QUERY sharedLibrary [function] rxsubcom DROP sharedLibrary [function] rxsubcom LOAD sharedLibrary [function]

DESCRIPTION
The rxsubcom command registers, drops, and queries Rexx subcommand handlers. A Rexx program can use rxsubcom to register dynamic-link library subcommand handlers. Once the subcommand handler is registered, the Rexx program can send commands to the subcommand handler with the Rexx ADDRESS instruction.

SEE ALSO
rxqueue(1)

EXAMPLES

rxsubcom register mysub libmysub.so StartMySub
    Registers the mysub environment in the libmysub.so shared library

rxsubcom drop libmysub.so
    Drops the subcommand environment provided by the shared library libmysub.so

LICENSE
Open Object Rexx is distributed under the terms of the Common Public License v1.0 which accompanies this distribution. http://www.oorexx.org/license.html